package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bct;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface BctMapper {

    int insert(Bct record);

    int insertSelective(Bct record);

    int updateByPrimaryKeySelective(Bct record);

    int updateByPrimaryKey(Bct record);

    int deleteByPrimaryKey(Bct record);

    int deleteByIds(Collection<Object> collection);

    Bct selectByPrimaryKey(Bct record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Bct> dyncRead(Map<String, Object> dyncMap);
}
